summaryrefslogtreecommitdiffstats
path: root/245/regr/testcase
diff options
context:
space:
mode:
Diffstat (limited to '245/regr/testcase')
-rwxr-xr-x245/regr/testcase31
1 files changed, 31 insertions, 0 deletions
diff --git a/245/regr/testcase b/245/regr/testcase
new file mode 100755
index 0000000..4cc16c9
--- /dev/null
+++ b/245/regr/testcase
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+description="# Bug 245 - Transport endpoint is not connected"
+comments="# Touching a file works, writing actual data to it doesn't "
+
+
+source ../../init
+
+start_glusterfs
+
+sleep 2
+echo "this is file content" > $MOUNTDIR/client1/testing.txt
+
+retval1=$?
+
+
+if [ $retval1 -eq 0 ]
+then
+ ok $description
+ comment $comments
+
+else
+ not_ok $description
+ comment $comments
+
+fi
+
+
+rm $MOUNTDIR/client1/testing.txt >/dev/null
+cleanup_glusterfs
+